Description

We're currently working with Servoy 7.3.0 (build 2018) and encounter a problem with "runReport" on the SmartClient and WebClient.
Our report gets generated based on a foundset from a RecordView-form. The RecordView-form consists of a TabPanel which in turn
contains multiple TabPanels that use a ListView for relations.

The report uses several SubReports, each for a relation (same as ListView), and gets stuck (see attached stack trace) while being
generated on-the-fly.

The problem occurs only if the relation has multiple entries (f.e. one person with a relation to multiple addresses) and if calculations
are used which aren't used on the ListView.

It appears that the calculation has to be loaded first in order to avoid this problem. Our workaround is to load every needed
calculation with a hidden field on the ListView.

History

#1 - 11/23/2013 12:39 PM - Andrei Costache
- Assignee set to Andrei Costache
Hi Thomas,

What type of calculations are you using (stored/unstored) and how do you use the calculations (and relations) in you report and corresponding
subreports?

If possible, it would be very helpful if you could please provide a (small) sample solution (+ needed reports/subreports and maybe db creation sql) in
which to reproduce the indicated issue?

Best regards,
Andrei

#2 - 11/25/2013 06:33 PM - Andrei Costache
- Status changed from New to In Progress
Hi Thomas,

| forgot to add in my previous comment, that trying your described scenario in a small sample, did not reproduce the indicated issue.
It would be very helpful if you could provide a sample that shows this.

Best regards,
Andrei

#3 - 01/22/2014 04:49 PM - Rob Gansevles
- Status changed from In Progress to Resolved

- Assignee changed from Andrei Costache to Rob Gansevles

This issue should be fixed in Servoy, fix version 7.4, please test when the first re-release is out
